Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Can't install Papyrus (plus extras) nightly build on Kepler base( Missing dependency - org.eclipse.nebula.widgets.nattable.core)
Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064845] Fri, 21 June 2013 10:45 Go to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
Cannot complete the install because one or more required items could not be found.
Software being installed: Papyrus Extra Feature (Incubation) 0.10.0.v201306210948 (org.eclipse.papyrus.extra.feature.feature.group 0.10.0.v201306210948)
Missing requirement: Papyrus Nattable Editor Common (Incubation)

I can't install the Papyrus nightly build due to the following error (I'm trying to install on top of latest Kepler Modelling suite.



0.10.0.v201305291419 (org.eclipse.papyrus.infra.nattable.common 0.10.0.v201305291419) requires 'bundle org.eclipse.nebula.widgets.nattable.core 1.0.0' but it could not be found
Missing requirement: Papyrus Nattable Editor Common (Incubation) 0.10.0.v201306210948 (org.eclipse.papyrus.infra.nattable.common 0.10.0.v201306210948) requires 'bundle org.eclipse.nebula.widgets.nattable.core 1.0.0' but it could not be found
Cannot satisfy dependency:
From: Papyrus Extra Feature (Incubation) 0.10.0.v201306210948 (org.eclipse.papyrus.extra.feature.feature.group 0.10.0.v201306210948)
To: org.eclipse.papyrus.infra.nattable.feature.feature.group [0.10.0.v201306210948]
Cannot satisfy dependency:
From: Old Table Converter (Incubation) 0.10.0.v201306210948 (org.eclipse.papyrus.infra.emf.nattable.converter 0.10.0.v201306210948)
To: bundle org.eclipse.papyrus.infra.nattable.common 0.0.0
Cannot satisfy dependency:
From: Papyrus Table - New Version (Incubation) 0.10.0.v201306210948 (org.eclipse.papyrus.infra.nattable.feature.feature.group 0.10.0.v201306210948)
To: org.eclipse.papyrus.infra.emf.nattable.converter [0.10.0.v201306210948]
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064847 is a reply to message #1064845] Fri, 21 June 2013 11:05 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 511
Registered: February 2011
Senior Member
Hi,

You need to add the following update site:

http://download.eclipse.org/nattable/releases/1.0.0/repository

Regards,
Camille


Camille Letavernier
Papyrus developer
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064858 is a reply to message #1064847] Fri, 21 June 2013 12:23 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
Thanks,
That seems to have sorted it.

I was hoping to see OCL constraints available on Stereotypes. Do you know when I can expect that feature to be in place? I'm a little confused because the Papyrus UML website from back in 2007 has an article explaining (with pictures) how to set up OCL constraints, and yet here we are in 2013, and there's no sign of it.. DO you have any idea what is going on with that?

Thanks for your help Camille, and for quick reply!

Regards,
Darren
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064861 is a reply to message #1064858] Fri, 21 June 2013 12:39 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 511
Registered: February 2011
Senior Member
Hi,

OCL Constraints for Stereotypes are available directly in the main components of Papyrus Kepler (0.10). Specify your constraints with an Opaque Expression and set the language to OCL (Or simply use the Essential OCL Editor, which is the default editor for constraints when you press F2). Then, when you define your profile, check "Save OCL constraints into the definition". They will be validated when you apply your profile on a model.


Regards,
Camille


Camille Letavernier
Papyrus developer
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064865 is a reply to message #1064861] Fri, 21 June 2013 13:11 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
Camille,

Where should I see the constraints editor?
I expected it to be a tab in the properties editor when i select the stereotype node in the Papyrus profile editor diagram (that's what it had in the old 2007 doc on Papyrusuml site). However, the only tabs I see are UML, Profile, Style, Appearance and Advanced.

Thanks,

Darren
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064867 is a reply to message #1064865] Fri, 21 June 2013 13:22 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
Oh I see. They are on the palette now, and I guess you drop them onto the Stereotype node and then press F2 when one is selected in order to get the editor with content assistance etc.
Does it use the Pivot or LPG OCL?

What I want to achieve is a cut down editor with only my stereotypes on the palette etc., and only those elements allowed (so anything else being a validation failure etc.), as well as a good deal of constraint validation on each Stereotype.
Is there some documentation on how to achieve these things? Is palette extension via an extension point? If so, which one?
Is restriction of allowed elements possible and something I can e.g. specify in my Profile?
How would I go about defining custom icons for my nodes and for the palette items?
Just a pointer to the relevant documentation would be enormously helpful.
Thanks again for all of your help so far. It's starting to look like things are in much better shape than I first thought Smile.

Regards,

Darren


Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064869 is a reply to message #1064867] Fri, 21 June 2013 13:37 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 511
Registered: February 2011
Senior Member
Hi,


To specify a constraint, create it from the Palette to your diagram, then use the "Context link" element to link the constraint to your stereotype. Then you can start editing the constraint. Note that you can also define the context from the properties view of the constraint (UML tab)

I'm not sure how you'd specify a constraint which is not related to a Stereotype. Anyway, I think we're using the Pivot OCL.

Papyrus provides tools for extension (Addition). It is still difficult to filter things. You can add new tabs/elements to the properties view or the palette, but you can't (easily) remove them.

There's a little bit of documentation embedded in Papyrus (F1 -> Contents -> Papyrus guide). You may find useful information on how to define profiles and constraints. Customization tools are not properly documented yet.


Regards,
Camille


Camille Letavernier
Papyrus developer
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064910 is a reply to message #1064869] Fri, 21 June 2013 15:30 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
What is the difference between the 'Context' and constrained element for the constraint? I just want to apply the constraint to an element, so is it constrained element or context that I should set to specify the element (it seems that constrained element is what gets set by using the link).

Anyway, setting either or both (to the stereotype I'm constraining) seems to make no difference as my constraint doesn't seem to get checked during validation of a model that imports the profile. I have a simple model with a deliberate violation but when I validate it, no errors or warnings show up......

Thanks,

Darren
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064912 is a reply to message #1064910] Fri, 21 June 2013 15:36 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 511
Registered: February 2011
Senior Member
Hi,


If you're not using the very latest version of Papyrus, you won't have the "Context link" element. There are two connectors related to constraints in the Profile diagram:

- The Link, which can be used for both Comments and Constraints. In case of comments, it sets the "Annotated elements". In case of constraints, it sets the "Constrained elements".
- The Context Link, which can only be used for Constraints. It sets the constraint's context. This is the one that is important (In case of validation, ConstrainedElement is never used in Papyrus)

The validation will only be available if you are using Papyrus 0.10 / Kepler RC1-4 I think (The support was not complete in M7)


Camille


Camille Letavernier
Papyrus developer
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064919 is a reply to message #1064912] Fri, 21 June 2013 16:11 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
I have the latest nightly build as far as I can tell (I took it only today from the nightly builds update site), and the validation doesn't get executed. I don't have the context link though, and I used a Link.
Any ideas why I might be missing this palette item? I can check my version if you want....

Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064925 is a reply to message #1064919] Fri, 21 June 2013 16:36 Go to previous messageGo to next message
Darren Hurt is currently offline Darren HurtFriend
Messages: 15
Registered: July 2009
Junior Member
Ok, my mistake. I've now got the latest nightly build (it seems I hadn't before - I'm looking at many potential technologies simultaneously, so forgive my confusion Smile), and the 'Context Link' is present, and I've used it to link my constraint to a stereotype.
However, my model still doesn't show up the validation error when I validate it. Any ideas?

Thanks for all your help so far,

Darren
Re: Can't install Papyrus (plus extras) nightly build on Kepler base [message #1064980 is a reply to message #1064925] Sat, 22 June 2013 12:42 Go to previous message
Klaas Gadeyne is currently offline Klaas GadeyneFriend
Messages: 94
Registered: July 2009
Member
Hi Darren,

Darren Hurt wrote on Fri, 21 June 2013 12:36
Ok, my mistake. I've now got the latest nightly build (it seems I hadn't before - I'm looking at many potential technologies simultaneously, so forgive my confusion Smile), and the 'Context Link' is present, and I've used it to link my constraint to a stereotype.
However, my model still doesn't show up the validation error when I validate it. Any ideas?


Yes (and no): You might have forgotten the same thing as I did... See https://bugs.eclipse.org/bugs/show_bug.cgi?id=411256

But, as I noted in the bug report, it think it would be good to enable that option by default...

regards,

Klaas

[Updated on: Sat, 22 June 2013 13:05]

Report message to a moderator

Previous Topic:How to change the color of elements programmatically
Next Topic:How to generate an object flow on an activity diagram?
Goto Forum:
  


Current Time: Mon Dec 22 21:36:15 GMT 2014

Powered by FUDForum. Page generated in 0.01983 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software